import 'package:flutter/material.dart';
import 'package:ui_kit/ui_kit.dart';

class CardSection extends StatefulWidget {
  const CardSection({super.key});

  @override
  State<CardSection> createState() => _CardSectionState();
}

class _CardSectionState extends State<CardSection> {
  static final cardsList = [
    CardWidget(child: SizedBox()),
    PrimaryCard(
      title: 'Рубашка Воскресенье для машинного  вязания',
      category: 'Мужская одежда',
      price: '300',
      onPressed: (VAL) {},
    ),
    CartCard(
      title: 'Рубашка воскресенье для машинного вязания',
      price: '300',
      count: '1',
    ),
    ProjectCard(title: 'Мой первый проект', lastDate: '2', onPressed: () {}),
  ];
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(top: height(context) * 3),
      width: width(context) * 100,
      height: height(context) * 80,
      child: ListView.builder(
        itemCount: cardsList.length,
        itemBuilder: (BuildContext context, int index) {
          final currentItem = cardsList[index];
          return currentItem;
        },
      ),
    );
  }
}
