import 'package:flutter/material.dart';
import 'package:ui_kit/cart_button.dart';
import 'package:ui_kit/utils.dart';

class CartButtonSection extends StatefulWidget {
  const CartButtonSection({super.key});

  @override
  State<CartButtonSection> createState() => _CartButtonSectionState();
}

class _CartButtonSectionState extends State<CartButtonSection> {
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.only(bottom: height(context) * 3),
      width: width(context) * 100,

      child: CartButton(fullPrice: '500'),
    );
  }
}
