import 'package:flutter/widgets.dart';
import 'package:ui_kit/counter.dart';
import 'package:ui_kit/ui_kit.dart';

class CounterSection extends StatefulWidget {
  const CounterSection({super.key});

  @override
  State<CounterSection> createState() => _CounterSectionState();
}

class _CounterSectionState extends State<CounterSection> {
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(bottom: height(context) * 5),
      width: 64,
      height: height(context) * 15,
      child: ListView.builder(
        itemCount: 2,
        itemBuilder: (BuildContext context, int index) {
          return Container(
            margin: EdgeInsets.only(bottom: 10),
            child: CounterWidget(),
          );
        },
      ),
    );
  }
}
