import 'package:flutter/material.dart';
import 'package:ui_kit/ui_kit.dart';

class HeaderSection extends StatefulWidget {
  const HeaderSection({super.key});

  @override
  State<HeaderSection> createState() => _HeaderSectionState();
}

class _HeaderSectionState extends State<HeaderSection> {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: width(context) * 100,
      height: height(context) * 30,
      child: Column(
        children: [
          HeaderWidget(variant: 'main', onPressed: () {}, handleBack: () {}),
          HeaderWidget(variant: 'default', onPressed: () {}, handleBack: () {}),
        ],
      ),
    );
  }
}
