import 'package:flutter/material.dart';
import 'package:ui_kit/ui_kit.dart';
import 'package:ui_kit/utils.dart';

class ChipsSection extends StatefulWidget {
  const ChipsSection({super.key});

  @override
  State<ChipsSection> createState() => _ChipsSectionState();
}

class _ChipsSectionState extends State<ChipsSection> {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: 129,
      height: height(context) * 33,
      child: ListView.builder(
        itemCount: 2,
        itemBuilder: (BuildContext context, int index) {
          return Container(
            margin: EdgeInsets.only(bottom: height(context) * 2),
            child: Chips(
              buttonText: 'Популярные',
              buttonStyle: index == 1
                  ? textMedium.copyWith(color: descColor)
                  : textMedium.copyWith(color: whiteColor),
              bgColor: index == 1 ? inputBgColor : primaryColor,
            ),
          );
        },
      ),
    );
  }
}
