import 'package:flutter/material.dart';
import 'package:ui_kit/ui_kit.dart';

class LogInSection extends StatefulWidget {
  const LogInSection({super.key});

  @override
  State<LogInSection> createState() => _LogInSectionState();
}

class _LogInSectionState extends State<LogInSection> {
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(bottom: height(context) * 3),
      width: width(context) * 100,
      height: height(context) * 33,
      child: ListView.builder(
        itemCount: 2,
        itemBuilder: (BuildContext context, int index) {
          return Container(
            margin: EdgeInsets.only(bottom: height(context) * 2),
            child: LogInCard(
              image: index == 1 ? 'assets/yandex.png' : 'assets/vk.png',
              text: index == 1 ? 'Войти с Yandex' : 'Войти с VK',
            ),
          );
        },
      ),
    );
  }
}
