import 'package:flutter/material.dart';
import 'package:ui_kit/ui_kit.dart';

class ToggleSection extends StatefulWidget {
  const ToggleSection({super.key});

  @override
  State<ToggleSection> createState() => _ToggleSectionState();
}

class _ToggleSectionState extends State<ToggleSection> {
  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: 48,
      height: height(context) * 20,
      child: ListView.builder(
        itemCount: 2,
        itemBuilder: (BuildContext context, int index) {
          return Container(
            margin: EdgeInsets.only(bottom: height(context) * 1.5),
            child: ToggleWidget(initialValue: index != 1 ? true : false),
          );
        },
      ),
    );
  }
}
